%% prutok_objem.m
% Nalezeni prutoku a objemu pri maximalnim usilovnem vydechu

function [fv_prutok, fv_objem_kor] = prutok_objem(objem_kor, prutok_kor, polohy_nul_prutok, poc_dech)

fv_prutok = prutok_kor(polohy_nul_prutok(poc_dech*2+2):polohy_nul_prutok(poc_dech*2+3)); % Prutok

fv_objem = objem_kor(polohy_nul_prutok(poc_dech*2+2):polohy_nul_prutok(poc_dech*2+3)); % Objem

fv_objem_kor = zeros(length(fv_objem),1); % Nutne provest korekci objemu (od nuly po maximalni hodnotu)

for i=1:length(fv_objem)
    fv_objem_kor(i) = fv_objem(1) - fv_objem(i); % Kazda hodnota odectena od prvni
end

    


